import { Strategy } from "passport-local";
import { Instance } from "../../instance/schemas/instance.schema";
import { AuthService } from "../auth.service";
declare const LocalStrategy_base: new (...args: [] | [options: import("passport-local").IStrategyOptionsWithRequest] | [options: import("passport-local").IStrategyOptions]) => Strategy & {
    validate(...args: any[]): unknown;
};
export declare class LocalStrategy extends LocalStrategy_base {
    private readonly authService;
    constructor(authService: AuthService);
    validate(name: string, apikey: string): Promise<Instance>;
}
export {};
